Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::LampGraphics Class Reference

Lampグラフィックス. More...

`#include <LampGraphics.h>`

List of all members.

## Static Public Member Functions
void | initialize ()
| 初期化
bool | initializeDevice (HWND windowHandle, bool startFullscreen)
| デバイスの初期化
void | finalize ()
| 後始末
void | setDeviceSelector (GraphicsDeviceSelector *selector)
| グラフィックスデバイスセレクタの設定
GraphicsDeviceSelector * | getDeviceSelector ()
| グラフィックスデバイスセレクタの取得
HWND | getWindowHandle ()
| ウィンドウハンドルの取得
Direct3D * | getDirect3D ()
| Direct3Dの取得.
Direct3DDevice * | getDirect3DDevice ()
| Direct3Dデバイスの取得.
void | addDeviceObjectHolder (GraphicsDeviceObjectHolder *objectHolder)
| デバイスオブジェクトホルダの追加
void | removeDeviceObjectHolder (GraphicsDeviceObjectHolder *objectHolder)
| デバイスオブジェクトホルダの削除
int | getDeviceObjectHolderCount ()
| デバイスオブジェクトホルダ数の取得
GraphicsDeviceObjectHolder * | getDeviceObjectHolder (int index)
| デバイスオブジェクトホルダの取得
Scene * | createScene (const String &name)
| シーンの作成
void | destroyScene (Scene *scene)
| シーンの破棄
int | getSceneCount ()
| シーン数の取得
Scene * | getScene (int index)
| シーンの取得
Scene * | search (String name)
| シーンの検索
## Static Protected Member Functions
LRESULT | windowProcedure (HWND windowHandle, u_int message, WPARAM wParam, LPARAM lParam)
| ウィンドウプロシージャ
void | deviceReset ()
| デバイスがリセットされた
bool | initializeDeviceObjects ()
| デバイスオブジェクトの初期化
void | deleteDeviceObjects ()
| デバイスオブジェクトの削除
bool | restoreDeviceObjects ()
| デバイスオブジェクトのリストア
void | invalidateDeviceObjects ()
| デバイスオブジェクトの無効化
## Friends
class | LampCore
class | GraphicsDevice

## Detailed Description

Lampグラフィックス.

Definition at line 48 of file LampGraphics.h.

## Member Function Documentation

void Lamp::LampGraphics::addDeviceObjectHolder | ( | GraphicsDeviceObjectHolder * | objectHolder | ) | `[inline, static]`

  | デバイスオブジェクトホルダの追加 Parameters:
  objectHolder | 追加するデバイスオブジェクトホルダ
Definition at line 114 of file LampGraphics.h. References Lamp::ArrayList< GraphicsDeviceObjectHolder * >::add(). Referenced by createScene().

Scene * Lamp::LampGraphics::createScene | ( | const String & | name | ) | `[static]`

  | シーンの作成 Parameters:
  name | 名前
Returns: 作成されたシーン Definition at line 220 of file LampGraphics.cpp. References Lamp::ArrayList< Scene * >::add(), addDeviceObjectHolder(), ErrorOut, Lamp::String::getBytes(), Lamp::String::getSize(), NULL, Lamp::HashMap< String, Scene * >::put(), and search().

void Lamp::LampGraphics::destroyScene | ( | Scene * | scene | ) | `[static]`

  | シーンの破棄 Parameters:
  scene | 破棄するシーン
Definition at line 240 of file LampGraphics.cpp. References Lamp::Scene::getName(), Lamp::HashMap< String, Scene * >::remove(), Lamp::ArrayList< Scene * >::removeByValue(), and removeDeviceObjectHolder().

GraphicsDeviceObjectHolder* Lamp::LampGraphics::getDeviceObjectHolder | ( | int | index | ) | `[inline, static]`

  | デバイスオブジェクトホルダの取得 Parameters:
  index | デバイスオブジェクトホルダのインデクス
Returns: デバイスオブジェクトホルダ Definition at line 140 of file LampGraphics.h. References Lamp::ArrayList< GraphicsDeviceObjectHolder * >::get(). Referenced by deleteDeviceObjects(), initializeDeviceObjects(), invalidateDeviceObjects(), and restoreDeviceObjects().

int Lamp::LampGraphics::getDeviceObjectHolderCount | ( |  | ) | `[inline, static]`

| デバイスオブジェクトホルダ数の取得 Returns: デバイスオブジェクトホルダ数 Definition at line 131 of file LampGraphics.h. References Lamp::ArrayList< GraphicsDeviceObjectHolder * >::getCount(). Referenced by deleteDeviceObjects(), initializeDeviceObjects(), invalidateDeviceObjects(), and restoreDeviceObjects().

GraphicsDeviceSelector* Lamp::LampGraphics::getDeviceSelector | ( |  | ) | `[inline, static]`

| グラフィックスデバイスセレクタの取得 Returns: グラフィックスデバイスセレクタ Definition at line 86 of file LampGraphics.h.

Direct3D* Lamp::LampGraphics::getDirect3D | ( |  | ) | `[inline, static]`

| Direct3Dの取得. Returns: Direct3D Definition at line 99 of file LampGraphics.h. References Direct3D.

Direct3DDevice* Lamp::LampGraphics::getDirect3DDevice | ( |  | ) | `[inline, static]`

| Direct3Dデバイスの取得. Returns: Direct3Dデバイス Definition at line 105 of file LampGraphics.h. References Direct3DDevice.

Scene* Lamp::LampGraphics::getScene | ( | int | index | ) | `[inline, static]`

  | シーンの取得 Parameters:
  index | シーンのインデクス
Returns: シーン Definition at line 171 of file LampGraphics.h. References Lamp::ArrayList< Scene * >::get().

int Lamp::LampGraphics::getSceneCount | ( |  | ) | `[inline, static]`

| シーン数の取得 Returns: シーン数 Definition at line 164 of file LampGraphics.h. References Lamp::ArrayList< Scene * >::getCount(). Referenced by finalize().

HWND Lamp::LampGraphics::getWindowHandle | ( |  | ) | `[inline, static]`

| ウィンドウハンドルの取得 Returns: ウィンドウハンドル Definition at line 93 of file LampGraphics.h.

bool Lamp::LampGraphics::initializeDevice | ( | HWND | windowHandle,
|  | bool | startFullscreen
| ) | `[static]`

  | デバイスの初期化 列挙の条件設定はデバイス初期化前に行う必要がある。 デバイスセレクタの設定はデバイス初期化前に行う必要がある。 Parameters:
  windowHandle | ウィンドウハンドル
  startFullscreen | フルスクリーンを優先して初期化するならtrue
Returns: デバイスの初期化に成功すればtrue Definition at line 90 of file LampGraphics.cpp. References Assert, Lamp::GraphicsDeviceSelector::chooseDeviceSettings(), Direct3DCreate, Lamp::GraphicsDeviceEnumeration::enumerate(), ErrorOut, Lamp::GraphicsDevice::initialize(), Lamp::GraphicsDevice::initializeWindowHandle(), and NULL.

bool Lamp::LampGraphics::initializeDeviceObjects | ( |  | ) | `[static, protected]`

| デバイスオブジェクトの初期化 Returns: 成功したらtrueを返す Definition at line 176 of file LampGraphics.cpp. References getDeviceObjectHolder(), getDeviceObjectHolderCount(), and Lamp::GraphicsDeviceObjectHolder::initializeGraphicsDeviceObjects().

void Lamp::LampGraphics::removeDeviceObjectHolder | ( | GraphicsDeviceObjectHolder * | objectHolder | ) | `[inline, static]`

  | デバイスオブジェクトホルダの削除 Parameters:
  objectHolder | 削除するデバイスオブジェクトホルダ
Definition at line 122 of file LampGraphics.h. References Lamp::ArrayList< GraphicsDeviceObjectHolder * >::removeByValue(). Referenced by destroyScene().

bool Lamp::LampGraphics::restoreDeviceObjects | ( |  | ) | `[static, protected]`

| デバイスオブジェクトのリストア Returns: 成功したらtrueを返す Definition at line 195 of file LampGraphics.cpp. References getDeviceObjectHolder(), getDeviceObjectHolderCount(), and Lamp::GraphicsDeviceObjectHolder::restoreGraphicsDeviceObjects().

Scene* Lamp::LampGraphics::search | ( | String | name | ) | `[inline, static]`

  | シーンの検索 Parameters:
  name | 検索するシーン名
Returns: シーン Definition at line 178 of file LampGraphics.h. References Lamp::HashMap< String, Scene * >::get(). Referenced by createScene().

void Lamp::LampGraphics::setDeviceSelector | ( | GraphicsDeviceSelector * | selector | ) | `[static]`

  | グラフィックスデバイスセレクタの設定 設定したセレクタはLampGraphicsによりdeleteされます Parameters:
  selector | グラフィックスデバイスセレクタ
Definition at line 159 of file LampGraphics.cpp. References SafeDelete.

LRESULT Lamp::LampGraphics::windowProcedure | ( | HWND | windowHandle,
|  | u_int | message,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) | `[static, protected]`

  | ウィンドウプロシージャ Parameters:
  windowHandle | ウィンドウハンドル
  message | メッセージ
  wParam | wメッセージパラメータ
  lParam | lメッセージパラメータ
Returns: メッセージを処理し、それ以上の処理が必要無いならば0以外を返す。 Definition at line 152 of file LampGraphics.cpp. References Lamp::GraphicsDevice::windowProcedure().

The documentation for this class was generated from the following files:

- LampGraphics.h
- LampGraphics.cpp